#
# spec file for package perl-Digest-MD4 (Version 1.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Digest-MD4
Version:        1.5
Release:        13.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/Digest/
Summary:        RSA MD4 Message Digest Algorithm (Perl Module)
Source:         http://www.cpan.org/authors/id/M/MI/MIKEM/Digest-MD4-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl interface to the RSA Data Security Inc. MD4 Message-Digest
Algorithm.



Authors:
--------
    Mike McCauley <mikem@open.com.au>

%debug_package
%prep
%setup -q -n Digest-MD4-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Digest
%{perl_vendorarch}/Digest
/var/adm/perl-modules/%{name}

%changelog -n perl-Digest-MD4
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 - mjancar@suse.cz
- update to 1.5
* Fri Feb 27 2004 - mjancar@suse.cz
- update to 1.3
* Fri Oct 31 2003 - schwab@suse.de
- Fix syntax error.
* Thu Oct 30 2003 - mjancar@suse.cz
- update to 1.2
- no root for build
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Thu Jun 19 2003 - mjancar@suse.cz
- use $RPM_OPT_FLAGS
- fix filelist
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Thu Jan 17 2002 - garloff@suse.de
- Initial creation of package perl-Digest-MD4 (version 1.1)
  (Needed for InterMezzo)
